# This file describes the network interfaces available on your system
# For more information, see netplan(5).
#
#
################################################################################
############################----------README---------###########################
################################################################################
#                                                                              #
# Ensure that eth0 and eth1 are changed if the adapter names differ on the     #
# system being configured.                                                     #
#                                                                              #
# If using DHCP, comment out the addresses, gateway4, nameservers, and         #
# nameservers addresses lines                                                  #
#                                                                              #
# To disable an interface, set both dhcp4 and dhcp6 to false and ensure        #
# the static details lines are commented out.                                  #
#                                                                              #
# Change nameserver addresses to supplied DNS if applicable.                   #
#                                                                              #
# NOTE: networkd is unable to manage wireless networks,                        #
# NetworkManager must be used if wireless networking is required.              #
#                                                                              #
# To apply new network details:  sudo netplan apply                            #
#                                                                              #
# WARNING:                                                                     #
#       - TAB spaces are not allowed!                                          #
#       - Indentation is two spaces only!                                      #
#       - FORMATING is extremely important!                                    #
#       - Backup original config AT ALL TIMES!                                 #
#       - If interface state (Static/DHCP) was not specified, interface	       #
#	  will not turn on. 						       #
#	                                                                       #
################################################################################
################################################################################


network:
  version: 2
  renderer: networkd
  ethernets:

#Interface1
    eth0:
      optional: yes
      #dhcp4: yes
      #dhcp6: no
      addresses:
      - 192.168.1.2/24
      routes:
      - to: default
        via: 192.168.1.1	#gateway4
      nameservers:
        addresses: [8.8.8.8,8.8.4.4]

#Interface2
    #eth1:
      #optional: true
      #dhcp4: true
      #dhcp6: false
      #addresses: 
      #-192.168.1.3/24
      #nameservers:
        #addresses: [8.8.8.8,8.8.4.4]
      #routes:
      #- to: 192.168.2.0/24
      #  via: 192.168.1.1

